osmo-pcap (0.8.0) unstable; urgency=medium

  * server: vty: Fix writing config max-snaplen param
  * client: use osmo_stream_cli to transmit data to pcap-server
  * client: Avoid sending link frame over non-connected conn
  * client: constify args in can_forward_packet()
  * client: use pcap_dispatch to avoid extra pkt buffer copy
  * client: Process up to 10 recorded pkts per poll iteration

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 22 Apr 2025 16:44:37 +0200

osmo-pcap (0.7.0) unstable; urgency=medium

  * Drop use of deprecated vty is_config_node() cb
  * pcap-server: Avoid closing cli conn if writing to disk fails
  * pcap-server: Validate rolling over file was successful before writing to it
  * pcap-server: Introduce VTY cmd file-write-queue-max-length

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 18 Mar 2025 16:24:50 +0100

osmo-pcap (0.6.0) unstable; urgency=medium

  [ Pau Espin Pedrol ]
  * pcap-server: Take into account PDU len when calculating pcap max-size
  * pcap-server: Move write checks to reopen pcap into helper functions
  * pcap-server: New vty command 'no max-file-size'
  * tests/Makefile.am: Fix trailing whitespace
  * src/Makefile.am: Improve formatting
  * pcap-server: Fix [no] max-file-size regression
  * pcap-server: Move stats to its own file
  * pcap-server: Make rotate-localtime feature configurable through VTY
  * pcap-server: Improve log error opening pcap file
  * pcap-server: Avoid pcap time-based rotation if wall clock went backwards
  * pcap-client: Move conns llist initialization to constructor
  * pcap-client: Split client-conn allocation to its own constructor function
  * pcap-client: Alloc default client conn similarly to other ones
  * pcap-client: Add missing '_conn' in  function names
  * pcap-client: Split wrapped ctr generic calculation to helper function
  * pcap-client: Decouple dev capture handling from client
  * pcap-client: Improve pcap_handle logging
  * pcap-client: Improve conn logging
  * pcap-client: Move stats to its own file
  * pcap-client,pcap-server: Use rate_ctr_inc2 and rate_ctr_add2 APIs
  * pcap-client: Add per iface counter group instance
  * pcap-client: Allow recording on several interfaces
  * pcap-server: Use osmo_talloc_replace_string() to replace base-path
  * pcap-server: Move struct osmo_pcap_server alloc to its own helper function
  * pcap-server: remove unneeded check for null base_path
  * pcap-server: Resolve real path of pcap file before opening
  * pcap-server: Introduce VTY cmd '[no] completed-path'
  * Use #pragma once in all header files
  * server: Rename static functions
  * server: Simplify (store|no-store) feature
  * cosmetic: server: document functions
  * server: Simplify code paths in read_cb_*
  * server: Delay reopen of pcap only until necessary
  * server: Store read buf max len as conn field
  * server: Split osmo_pcap_conn alloc to its own function
  * server: Rename function osmo_pcap_server_delete -> osmo_pcap_conn_free
  * cosmetic: server: Fix typo in comment
  * server: Rename func client_data() -> zmq_send_client_data()
  * Cleanup and reorder includes in header files
  * Makefile.am: proper format and reorder source file lists
  * client: Introduce osmo_pcap_file to prepare support for pcapng
  * client: Support generation of pcapng file format
  * server: Support storing of pcapng format
  * server: Rename osmo_pcap_server_close_trace -> osmo_pcap_conn_close_trace
  * Rename osmo_pcap_server_close_conn -> osmo_pcap_conn_close
  * server: Split network code into its own file
  * server: Avoid lseek syscall on every packet write to pcap file
  * cosmetic: osmo_tls: Fix indentation whitespace
  * server: Move osmo_pcap_server_alloc() to osmo_server_core.c
  * server: Use osmo_sockaddr in remote_addr field
  * tests: Remove unneeded .o files after osmo-pcap-server network/core file split
  * cosmetic: server: Fix formatting of return in main()
  * server: Move conn->file_hdr release to osmo_pcap_conn_close()
  * server: Add osmo_pcap_server_free() for completeness
  * server: Split buffer read from full msg handling
  * server: Log unable to figure out pcap vs pcapng
  * server: Limit rx buffer size to UINT16_MAX
  * server: Use osmo_stream_srv_link on tcp listen socket
  * server: Correct error check calling osmo_pcap_conn_process_data()
  * server: Use osmo_stream_srv for non-tls read tcp sock
  * server: Introduce struct osmo_pcap_wr_file
  * server: Implement non-blocking write to pcap file with osmo_io
  * server: zero-copy msgb from tcp read to file write

 -- Oliver Smith <osmith@sysmocom.de>  Wed, 12 Feb 2025 12:50:57 +0100

osmo-pcap (0.5.0) unstable; urgency=medium

  [ Andreas Eversberg ]
  * Use uniform log format for default config files

  [ Vadim Yanitskiy ]
  * build: include README.md into the release tarball

  [ Max ]
  * contrib/systemd: run as osmocom user

 -- Oliver Smith <osmith@sysmocom.de>  Wed, 24 Jul 2024 16:34:17 +0200

osmo-pcap (0.4.2) unstable; urgency=medium

  [ arehbein ]
  * Transition to use of 'telnet_init_default'

  [ Daniel Willmann ]
  * osmo_{client,server}_main: Remove tall_ctr_ctx and tall_msgb_ctx
  * osmo_{client,server}_main: Remove is_config_node in vty_app_info
  * cosmetic: Remove trailing whitespace

  [ Pau Espin Pedrol ]
  * server: Call osmo_fd_unregister() before closing and changing bfd->fd

  [ Max ]
  * CI/CD: drop travis support

  [ Oliver Smith ]
  * debian: set compat level to 10
  * systemd: depend on networking-online.target

  [ Vadim Yanitskiy ]
  * tests: $(BUILT_SOURCES) is not defined

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 12 Sep 2023 15:50:49 +0200

osmo-pcap (0.4.1) unstable; urgency=medium

  [ Max ]
  * Set working directory in systemd service file

  [ Vadim Yanitskiy ]
  * doc/manuals: update git URLs (git -> https; gitea)

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 07 Feb 2023 17:11:46 +0100

osmo-pcap (0.4.0) unstable; urgency=medium

  [ Pau Espin Pedrol ]
  * client: Increase wqueue transmit length
  * client: Log wqueue capacity when failing to enqueue
  * client: Add 'wqueue max-length <0-4294967295>' VTY command
  * .gitignore: blacklist configure~

  [ Harald Welte ]
  * update git URLs (git -> https; gitea)

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 28 Jun 2022 17:36:44 +0200

osmo-pcap (0.3.0) unstable; urgency=medium

  [ Vadim Yanitskiy ]
  * debian/control: minimum version for libzmq3-dev is 3.2.2

  [ Harald Welte ]
  * configure.ac: don't depend on libosmogb.

  [ Oliver Smith ]
  * Revert "configure.ac: don't depend on libosmogb."

  [ Pau Espin Pedrol ]
  * server: Add vty command file-permission-mask

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Thu, 13 Jan 2022 10:06:14 +0100

osmo-pcap (0.2.1) unstable; urgency=medium

  [ Pau Espin Pedrol ]
  * Use new stat item/ctr getter APIs
  * Explicitly depend on required libosmogb

  [ Oliver Smith ]
  * README.md: fix typo
  * Change default ports of client, server

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 16 Nov 2021 13:40:07 +0100

osmo-pcap (0.2.0) unstable; urgency=medium

  [ Harald Welte ]
  * vty: Add space after prompt, as customary
  * add "--version" to osmo-pcap-client and -server
  * update copyright statement; Holger worked on it until 2017
  * Add user manual for osmo-pcap
  * use osmo_wqueue_enqueue_quiet() as we log anyway
  * client: Ensure the "file" header is sent on connect
  * use telnet_init_dynif() to allow VTY bind to non-loopack address
  * vty: call telnet_init_dynif() after config file is read

  [ Joachim Steiger ]
  * manuals: generate VTY reference for osmo-pcap-{client,server}

  [ Vadim Yanitskiy ]
  * vty: register commands for talloc context introspection
  * vty_{client,server}_init(): remove unused argument
  * contrib/jenkins.sh: fix: pass '--enable-manuals' to configure

 -- Harald Welte <laforge@osmocom.org>  Sat, 24 Apr 2021 23:03:34 +0200

osmo-pcap (0.1.3) unstable; urgency=medium

  [ Oliver Smith ]
  * contrib: import RPM spec
  * contrib: integrate RPM spec
  * Makefile.am: EXTRA_DIST: debian, contrib/*.spec.in
  * configure.ac: set -std=gnu11

  [ Harald Welte ]
  * Use OSMO_FD_* instead of deprecated BSC_FD_*
  * Use osmo_fd_setup() whenever applicable
  * Use osmo_fd_*_{disable,enable}
  * reformat debian/control for osmo-release.sh compatibility

  [ Pau Espin Pedrol ]
  * main: generate coredump and exit upon SIGABRT received

 -- Pau Espin Pedrol <pespin@espeweb.net>  Tue, 23 Feb 2021 13:19:37 +0100

osmo-pcap (0.1.2) unstable; urgency=medium

  [ Oliver Smith ]
  * Cosmetic: README.md: fix typo
  * osmoappdesc.py: fix paths to configs
  * Cosmetic: README.md: document how to run tests
  * osmoappdesc.py: switch to python 3

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Thu, 02 Jan 2020 20:19:28 +0100

osmo-pcap (0.1.1) unstable; urgency=medium

  * Remove undefined param passed to {logging,osmo_stats}_vty_add_cmds
  * Require libosmocore 0.11.0

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Wed, 07 Aug 2019 13:12:47 +0200

osmo-pcap (0.1.0) unstable; urgency=medium

  [ Harald Welte ]
  * sock_src_init(): Don't freeaddrinfo() undefined src_result
  * Use TCP port numbers for VTY that don't overlap with other Osmocom Software
  * Rename osmo_pcap_{client_server} executables to osmo-pcap-{client,server}
  * Use libosmocore osmo_sock_init2() instead of local implementation
  * client: Move to osmo_sock_init2_ofd()
  * Add support for generating IPIP to osmo-pcap-client
  * debian/control: Fix URLs for homepage, git, gitweb
  * change binary builds URL to network:osmocom as that's more maintained
  * Fix compiler warning about deprecated _BSD_SOURCE

  [ Max ]
  * Add gitreview config
  * Use release helper from libosmocore

  [ Pau Espin Pedrol ]
  * cosmetic: client: rename forward_packet function
  * vty: skip installing cmds now always installed by default
  * client: Properly name main talloc ctx
  * server: Properly name main talloc ctx
  * Drop osmo_init_logging and use osmo_init_logging2
  * osmo_client_send_data: Fix wrong log format
  * configure.ac: Add --enable-werror flag
  * configure.ac: Add --enable-sanitize flag
  * jenkins.sh: enable werror and sanitize configure flags
  * Replace '.' in counter names with ':'
  * Use enum for PKT_LINK_*
  * client: Set snaplen to MAXIMUM_SNAPLEN
  * client: Add pcap snaplen VTY cmd
  * client_send_link: snaplen not needed during allocation
  * server: Improve verification of messages from client
  * server: Add pcap snaplen VTY cmd
  * contrib/jenkins.sh: Update to current osmocom infra
  * debian: Clean up to look like other osmocom projects
  * Install systemd services with autotools
  * Install cfg files with autotools
  * gitignore: Add compile
  * debian: Install osmo_pcap_clean_old in osmo-pcap-server pkg
  * tests/Makefile.am: Fix "./configure && make clean && make"
  * debian/changelog: Mark 0.0.11 as released

  [ Oliver Smith ]
  * Fix DISTCHECK_CONFIGURE_FLAGS override
  * contrib: fix makedistcheck with disabled systemd
  * gitignore: fix application names
  * contrib/jenkins.sh: run "make maintainer-clean"

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 16 Jul 2019 19:01:15 +0200

osmo-pcap (0.0.11) unstable; urgency=medium

  * Add "source ip A.B.C.D" option to use specific address.
  * Add osmo-pcap-client-dbg/osmo-pcap-server-dbg package

 -- Holger Hans Peter Freyther <holger@moiji-mobile.com>  Tue, 17 Jan 2017 09:12:52 +0100

osmo-pcap (0.0.10) unstable; urgency=medium

  * New release with new features
  * Allow unauthenticated TLS between client and server
  * Allow a client to connect to multiple servers at the
    same time.
  * Allow the server to forward data through ZeroMQ

 -- Holger Hans Peter Freyther <holger@moiji-mobile.com>  Wed, 09 Nov 2016 02:09:52 +0100

osmo-pcap (0.0.9) unstable; urgency=medium

  * Fix pcap packet format for 64bit clients. 

 -- Holger Hans Peter Freyther <holger@moiji-mobile.com>  Thu, 03 Dec 2015 22:17:19 +0100

osmo-pcap (0.0.8) unstable; urgency=medium

  * Attempt to work with Jumbo frames up to 9000 bytes
  * Fix wording in the server error message
  * Install cron.daily job that can be changed by the user (e.g. max age of the files) 

 -- Holger Hans Peter Freyther <holger@moiji-mobile.com>  Thu, 03 Dec 2015 20:41:24 +0100

osmo-pcap (0.0.7) unstable; urgency=medium

  * gprs: Do not collect BVC FLOW CONTROL / ACK messages

 -- Holger Hans Peter Freyther <holger@moiji-mobile.com>  Thu, 19 Nov 2015 11:13:55 +0100

osmo-pcap (0.0.6) unstable; urgency=medium

  [ Holger Hans Peter Freyther ]
  * debian: Add changelog entry for 0.0.4
  * debian: Add a osmo-pcap-client init script

  [ Sylvain Munaut ]
  * build: Replace deprecated INCLUDES with AM_CPPFLAGS

  [ Holger Hans Peter Freyther ]
  * gprs: Add a custom GPRS filter
  * gprs: Remove left over for counting llc frames

 -- Holger Hans Peter Freyther <holger@moiji-mobile.com>  Thu, 10 Sep 2015 17:11:32 +0200

osmo-pcap (0.0.5) unstable; urgency=low

  * Add init script for the osmo-pcap tool 

 -- Holger Hans Peter Freyther <holger@moiji-mobile.com>  Thu, 10 Sep 2015 17:10:42 +0200

osmo-pcap (0.0.4) unstable; urgency=low

  * New upstream version.

 -- Holger Hans Peter Freyther <holger@freyther.de>  Wed, 07 Nov 2012 10:11:21 +0100

osmo-pcap (0.0.3) unstable; urgency=low

  * New upstream version.

 -- Holger Hans Peter Freyther <holger@freyther.de>  Tue, 06 Nov 2012 23:41:36 +0100

osmo-pcap (0.0.1) unstable; urgency=low

  * Initial Release.

 -- Holger Hans Peter Freyther <zecke@selfish.org>  Wed, 01 Jun 2011 14:51:32 +0200
